Subject: Re: [PATCH] sequencer: make it clearer that commit descriptions are just comments

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 May 2025 06:58:02 -0700

"Elijah Newren via GitGitGadget" <[email-masked]> writes:

> suggesting that users are (a) only using one-line commit messages, and
> (b) not understanding that the commit summaries are merely helpful
> comments to help them find the right hashes.
>
> It may be difficult to correct users' poor commit messages, but we can
> at least try to make it clearer that the commit summaries are not
> directives of some sort by inserting a comment character.  Hopefully
> that leads to them looking a little further and noticing the hints at
> the bottom to use 'reword' or 'edit' directives.

Cute and clever.

>  Last commands done (2 commands done):
> -   pick $COMMIT2 two_split
> -   edit $COMMIT3 three_split
> +   pick $COMMIT2 # two_split
> +   edit $COMMIT3 # three_split
>  Next command to do (1 remaining command):
> -   pick $COMMIT4 four_split
> +   pick $COMMIT4 # four_split
>    (use "git rebase --edit-todo" to view and edit)

These show the intentions quite well.  I think all places the
addition of '#' is done at the output layer, and the matching of
commits for the purpose of --autosquash should be done solely using
the internal representation without '#', this change should not
break anything, I would think, that we internally have.

Breaking custom todo-editors the users may have is a different
story, but if they are somehow matching against the first line of
the commit log message when there prominently is a short-but-unique
commit object name, they are simply crazy and not worth worrying
about, I would say ;-)